General commands:
=================

These commands are the general commands for a basic usage of irssi-xmpp.

You may notice that some commands accept as parameter a JID, a full JID
(a JID with a resource) or a name. If you specify a name, it will be
resolved through the roster. But if the name cannot be found in your
roster, irssi-xmpp will assume that the name is a JID.

Some commands require a full JID, but if you type only a JID or a name,
these commands will automatically use the highest resource for this
contact in your roster.

/QUERY <jid>[/<resource>]
/QUERY <name>
    Starts a private conversation with the JID. If the user is online and 
    the resource isn't specified, the conversation window will be on the
    resource with the highest priority.

/MSG <jid>[/<resource>] <message>
    Sends a message to a jid. There is no name resolution through the roster so
    the jid must be valid. (Prefer /QUERY if you want a normal discussion in
    a query window.)

/ME <message>
    Sends an "ACTION", useable in a query or in a room.

/AWAY [away|chat|dnd|xa] <reason>
    This command marks you as being "away". If the away mode isn't specified,
    the "xmpp_default_away_mode" setting will be used. You can remove your away
    status by using AWAY with no arguments.

/ROSTER
    Shows your contacts in a list.

/ROSTER FULL
    Shows all your contacts in a list, even those who are offline.

/ROSTER ADD [-nosub] <jid>
    Adds a JID to your contact list. (Use the parameter "-nosub" if you
    don't want to send a subscribe request.)

/ROSTER REMOVE <jid>
    Removes a JID from your contact list. The subscriptions will be removed too.

/ROSTER NAME <jid> <name>
    Changes the name (or nickname) of a JID.

/ROSTER GROUP <jid> <group>
    Changes the group of a JID.

/WHOIS <jid>
/WHOIS <name>
    Requests the vcard related to the JID.

/VER <jid>/<resource>
/VER <name>
    Requests the software version of the resource.

/QUOTE <data>
    Sends server raw data without parsing. You need to make sure the value is
    XML valid.

/XMPPCONNECT [-ssl] [-host <host>] [-port <port>]
             <jid>[/<resource>] <password>
/XMPPSERVER [-ssl] [-host <host>] [-port <port>]
            <jid>[/<resource>] <password>
    See the "Connection" section of the STARTUP file.

Subscription commands:
======================

These commands are useful if you want to manage the subscription of your
contacts.

/PRESENCE ACCEPT <jid>
    Accepts a subscription request, so the contact will be able to see your
    presence.

/PRESENCE DENY <jid>
    Denies a subscription, so the contact won't see your presence anymore.

/PRESENCE SUBSCRIBE <jid> <reason>
    Sends a subscription request to a JID. If the contact accepts your request,
    you'll be able to see his/her presence.

/PRESENCE UNSUBSCRIBE <jid>
    Unsubscribes to the contact's presence, so you won't see his/her presence
    anymore.

Subscription status:
====================

These are the subscription status displayed in the roster list with their
description:

both: The contact and you can see each other's presence. (not displayed)
from: The contact can see your presence.  
to: You can see the contact's presence.
none: The contact and you cannot see each other's presence.

Settings:
=========

In "xmpp" section:

/SET xmpp_priority <number>
    Sets the priority of your connection. It's a number between -128 and 127.
    Priority changes will take effect immediatly for all your connected
    accounts. (default: 0)

/SET xmpp_priority_away <number>
    Sets the priority of your connection when your are away. (default: -1)

/SET xmpp_send_version ON/OFF
    Sends information about your client: name (irssi-xmpp), version and operating
    system. (default: ON)

/SET xmpp_default_away_mode {away|chat|dnd|xa}
    Sets the default away mode when you just type "/AWAY <message>".
    (default: away)

/SET xmpp_send_composing ON/OFF
    Enables or disables the sending of your chat state notifications.
    (default: ON)

In "xmpp_lookandfeel" section:

/SET xmpp_set_nick_as_username ON/OFF
    Sets whether your JID's username should be used as nick in query
    windows. If this setting is OFF, your nick will be your JID. If it's
    ON, your nick will be the username of your JID. (default: OFF)

/SET xmpp_status_window ON/OFF
    Creates a new window that displays every status change of your contacts.
    (default: OFF)

/SET xmpp_timestamp_format <format>
    Sets the timestamp format that should be used to display the delayed
    messages. (default: %Y-%m-%d %H:%M)

/SET xmpp_history_maxstanzas <number>
    Sets the maximum number of messages that should be retrieved from the
    archives when joining a room.
    (default: 30)

/SET xmpp_xml_console ON/OFF
    Creates a new window where the raw XML messages are displayed. Useful for
    debugging. (default: OFF)

In "xmpp_proxy" section:

    See the "Proxy usage" section of this file.

In "xmpp_roster" section:

/SET xmpp_roster_show_offline ON/OFF
    Shows offline contacts in the roster. (default: ON)

/SET xmpp_roster_show_unsubscribed ON/OFF
    Shows unsubscribed contacts in the roster when they are offline.
    (default: ON)

/SET xmpp_roster_default_group <group>
    Sets the default group where the contacts will be displayed if the group name
    is unspecified. (default: General)

/SET xmpp_roster_service_name <group>
    Sets the default group where the services and the transports will be
    displayed. (default: Agents/Transports)
    (Not used yet!)

Away status:
===========

In this section you can find the descriptions of each away status available
in jabber:

away: Away
chat: Free for chat
dnd: Do not disturb
xa: Not available

Proxy usage:
============

To connect to an account through a proxy, you must set these settings
according to your proxy configuration. Please note that these settings
are general so they affect all the jabber accounts you configured in
irssi.

/SET xmpp_use_proxy ON/OFF
    Enables or disables the proxy. (default: OFF)

/SET xmpp_proxy_address <host>
/SET xmpp_proxy_port <port>
/SET xmpp_proxy_user <user>
/SET xmpp_proxy_password <password>
    Sets the connection parameters to connect to the proxy.

/SET xmpp_proxy_type <type>
    Sets the type of the proxy. Currently, irssi-xmpp only supports the HTTP
    method. (default: http)

Composing in the statusbar:
===========================

irssi-xmpp supports the XEP-0085: Chat State Notifications, so you can see when
your contacts are typing a messages with "composing" appearing in the statusbar.
To add this statusbar element, you can use this command :

/STATUSBAR WINDOW ADD xmpp_composing

Or for example:

/STATUSBAR WINDOW ADD -before barend -alignment right xmpp_composing
